几行代码让你的WordPress兼容更多浏览器

林继 WordPress 4,765 共写了165个字 (2010-12-27 0:54:57) 没有评论 打印 扫描二维码 百度已收录

我们在修改主题的时候,经常遇到主题与浏览器的不兼容问题,一般我们会采取一些方法来解决这一问题,下面这个就可以解决Wordpress主题与浏览器的不兼容问题:
在你的主题文件夹里找到functions.php文件,之后添加以下代码:

  1.   add_filter('body_class','browser_body_class');
  2.  function browser_body_class($classes) {
  3.  global $is_lynx, $is_gecko, $is_IE, $is_opera, $is_NS4, $is_safari, $is_chrome, $is_iphone;
  4.  if($is_lynx) $classes[] ='lynx';
  5.  elseif($is_gecko) $classes[] = 'gecko';
  6.  elseif($is_opera) $classes[] = 'opera';
  7.  elseif($is_NS4) $classes[] = 'ns4';
  8.  elseif($is_safari) $classes[] = 'safari';
  9.  elseif($is_chrome) $classes[] = 'chrome';
  10.  elseif($is_IE) $classes[] = 'ie';
  11.  else $classes[] = 'unknown';
  12.  if($is_iphone) $classes[] = 'iphone';
  13.  return $classes;
  14.  }
  15.  ?>

这样,你的主题代码就可以兼容相应的浏览器了。

历史上的今天

12月
27

如果觉得我的文章对您有用,请随意赞赏。您的支持将鼓励我继续创作!

发表评论

电子邮件地址不会被公开。 必填项已用*标注

< >